Package org.mariadb.jdbc.plugin.authentication.standard.ed25519.spec

## Class EdDSAGenParameterSpec

- java.lang.Object
- - org.mariadb.jdbc.plugin.authentication.standard.ed25519.spec.EdDSAGenParameterSpec

All Implemented Interfaces:
  `AlgorithmParameterSpec`

    public class EdDSAGenParameterSpec
    extends Object
    implements AlgorithmParameterSpec

Implementation of AlgorithmParameterSpec that holds the name of a named EdDSA curve specification.

Author:
  str4d

### Constructor Summary

Constructors
`EdDSAGenParameterSpec​(String stdName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EdDSAGenParameterSpec

    public EdDSAGenParameterSpec​(String stdName)

### Method Detail

#### getName

    public String getName()